Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F161563758
D42020.id129011.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
663 B
Referenced Files
None
Subscribers
None
D42020.id129011.diff
View Options
diff --git a/usr.sbin/freebsd-update/freebsd-update.sh b/usr.sbin/freebsd-update/freebsd-update.sh
--- a/usr.sbin/freebsd-update/freebsd-update.sh
+++ b/usr.sbin/freebsd-update/freebsd-update.sh
@@ -3191,6 +3191,11 @@
# Install old files, delete new files, and update linker.hints
rollback_files () {
+ # Create directories first. They may be needed by files we will
+ # install in subsequent steps (PR273950).
+ awk -F \| '{if ($2 == "d") print }' $1/INDEX-OLD > INDEX-OLD
+ install_from_index INDEX-OLD || return 1
+
# Install old shared library files which don't have the same path as
# a new shared library file.
grep -vE '^/boot/' $1/INDEX-NEW |
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Sun, Jul 5, 10:00 PM (3 h, 42 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
34725497
Default Alt Text
D42020.id129011.diff (663 B)
Attached To
Mode
D42020: freebsd-update: for rollback, first create directories
Attached
Detach File
Event Timeline
Log In to Comment